package com.example.shikan.eldelbar.database.entidades;

import com.orm.SugarRecord;

import java.sql.Time;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


//En una sesion almacenamos los datos de ESA sesion
public final class Sesion {

    private String Id_sesion;/*Presupuesto+fecha_comienzo+hora_comienzo*/
    private String fecha_hora_inicio;
    private String fecha_hora_fin;
    private double total_gastado;
    private int conseguido;
    private double presupuesto;
    private int terminada;
    private String titulo;

    public Sesion(){}

    public Sesion(String Id_sesion, String fecha_hora_inicio, String fecha_hora_fin, double total_gastado, int conseguido, double presupuesto, int terminada, String titulo){
        this.Id_sesion = Id_sesion;
        this.fecha_hora_inicio = fecha_hora_inicio;
        this.fecha_hora_fin = fecha_hora_fin;
        this.total_gastado = total_gastado;
        this.conseguido = conseguido;
        this.presupuesto = presupuesto;
        this.terminada = terminada;
        this.titulo = titulo;
    }

    public String getFecha_hora_inicio() {
        return fecha_hora_inicio;
    }

    public String getFecha_hora_fin() {
        return fecha_hora_fin;
    }

    public int getConseguido() {
        return conseguido;
    }

    public double getTotal_gastado() {
        return total_gastado;
    }

    public double getPresupuesto() {
        return presupuesto;
    }

    public int getTerminada() {
        return terminada;
    }

    public String getTitulo() {
        return titulo;
    }

    public String getId_sesion() {
        return Id_sesion;
    }

    public void setFecha_hora_inicio(String fecha_hora_inicio) {
        this.fecha_hora_inicio = fecha_hora_inicio;
    }

    public void setFecha_hora_fin(String fecha_hora_fin) {
        this.fecha_hora_fin = fecha_hora_fin;
    }

    public void setPresupuesto(double presupuesto) {
        this.presupuesto = presupuesto;
    }

    public void setTerminada(int terminada) {
        this.terminada = terminada;
    }

    public void setTitulo(String titulo) {
        this.titulo = titulo;
    }
}