package com.example.shikan.eldelbar;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

import com.example.shikan.eldelbar.database.EldelbarDB;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //EldelbarDB db = new EldelbarDB(getApplicationContext());
        //String id_sesion_abierta = "";

        Button establecerPresupuesto = findViewById(R.id.nuevoPresupuesto);
        Button localizar = findViewById(R.id.localizar);
        Button historico = findViewById(R.id.presupuestosAnteriores);


        //id_sesion_abierta = db.hay_sesion_abierta();

        /*if(id_sesion_abierta == "vacio"){
            Intent i = new Intent(getApplicationContext(),ActualPresupuesto.class);
            i.putExtra("Id_sesion_abierta",id_sesion_abierta);
            Log.d("Sesion", "(MAIN) Id_sesion: "+id_sesion_abierta);
            startActivity(i);

        }
        else{*/
            establecerPresupuesto.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {
                    Intent presupuesto = new Intent(getApplicationContext(),NuevoPresupuesto.class);
                    startActivity(presupuesto);
                }
            });

            localizar.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {
                    Intent localizar = new Intent(getApplicationContext(),Localizacion.class);
                    startActivity(localizar);
                }
            });

            historico.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    Intent i = new Intent(getApplicationContext(),HistoricoSesiones.class);
                    startActivity(i);
                }
            });
        //}


    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.layout.menu, menu);
        return true;
    }


    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle item selection
        switch (item.getItemId()) {
            case R.id.menu_NuevoPresupuesto:
                nuevoPresupuesto();
                return true;
            case R.id.menu_Historico:
                Historico();
                return true;
            case R.id.menu_Localizar:
                Localizar();
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }

    public void nuevoPresupuesto(){
        Intent presupuesto = new Intent(getApplicationContext(),NuevoPresupuesto.class);
        startActivity(presupuesto);
    }

    public void Historico(){
        Intent i = new Intent(getApplicationContext(),HistoricoSesiones.class);
        startActivity(i);
    }

    public void Localizar(){
        Intent localizar = new Intent(getApplicationContext(),Localizacion.class);
        startActivity(localizar);
    }
}
