package com.example.shikan.eldelbar;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class NuevoPresupuesto extends AppCompatActivity {

    private EditText ETpresupuesto;
    private Button aceptar;
    private String contenidoET;
    private Double presupuesto;
    private EditText ETDescripcionSalida;
    private String contenidoETDescripcionSalida;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_nuevo_presupuesto);

        aceptar = findViewById(R.id.aceptarPresupuesto);
        ETpresupuesto = findViewById(R.id.EtPresupuesto);
        ETDescripcionSalida = findViewById(R.id.etdescripcionSalida);



        aceptar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                contenidoET = ETpresupuesto.getText().toString();
                contenidoETDescripcionSalida = ETDescripcionSalida.getText().toString();


                if(!contenidoET.equals("")&&!contenidoETDescripcionSalida.equals("")){
                    presupuesto = Double.parseDouble(contenidoET);
                    Intent i = new Intent(getApplicationContext(),ActualPresupuesto.class);
                    i.putExtra("presupuesto",presupuesto);
                    i.putExtra("descripcionSalida",contenidoETDescripcionSalida);
                    startActivity(i);
                }
                else{
                    Toast msg = Toast.makeText(getApplicationContext(),"Error: Ha de rellenar todos los campos", Toast.LENGTH_SHORT);
                    msg.show();
                }
            }
        });
    }

    /*
     *       MENU
     * */

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.layout.menu, menu);
        return true;
    }


    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle item selection
        switch (item.getItemId()) {
            case R.id.menu_NuevoPresupuesto:
                nuevoPresupuesto();
                return true;
            case R.id.menu_Historico:
                Historico();
                return true;
            case R.id.menu_Localizar:
                Localizar();
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }

    public void nuevoPresupuesto(){
        Intent presupuesto = new Intent(getApplicationContext(),NuevoPresupuesto.class);
        startActivity(presupuesto);
    }

    public void Historico(){
        Intent i = new Intent(getApplicationContext(),HistoricoSesiones.class);
        startActivity(i);
    }

    public void Localizar(){
        Intent localizar = new Intent(getApplicationContext(),Localizacion.class);
        startActivity(localizar);
    }
}
